> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0.md).

# API for Face Metrics 2.0

API reference for Face Metrics 2.0: the algorithms included, the generic response scheme, and how to fetch metrics, submetrics, and masks.

Face Metrics 2.0 Application provides [Algorithms](/haut.ai/haut.ai-features/algorithms.md) that perform the analysis of skin visual appearance on the facial area. The analysis is aimed at evaluating the visible and measurable skin condition parameters.

{% hint style="info" %}
Read this page to learn more about the application: [Face Metrics 2.0](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0.md)
{% endhint %}

***

## Generic Algorithm Response Scheme

{% hint style="info" %}
Please visit the [Generic Algorithm Response overview](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/output-overview.md) for a detailed description of returned fields.
{% endhint %}

***

## List of Included Algorithms <a href="#description-of-algorithm_version_id-and-result" id="description-of-algorithm_version_id-and-result"></a>

* [Acne](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/acne.md)
* [Eye age](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-age.md)
* [Eye are condition](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/eye-bags-eye-circles-and-lacrimal-grooves.md)
* [Hydration](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/hydration.md)
* [Lines](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/wrinkles.md)
* [Perceived age](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/age.md)
* [Pigmentation](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/pigmentation.md)
* [Pores](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/pores.md)
* [Redness](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/redness.md)
* [Skintone](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/skintone_classification.md)
* [Skin type](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/skin-type-result-scheme.md)
* [Uniformness](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/uniformness.md)
* [Image Quality](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/technical-algorithms-results/image-quality.md)
* [Facial hair attributes](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/technical-algorithms-results/facial-hair-attributes-result-scheme.md)
* [Facial landmarks](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/technical-algorithms-results/facial-landmarks.md)

***

## API to receive Metrics and Submetrics and Masks after calculation

{% hint style="info" %}
Please visit the [**Metrics and Submetrics** API Overview](#generic-algorithm-response-scheme) for detailed description of API methods.
{% endhint %}

***

## API to receive Aux Images after calculation <a href="#auxillary-parameters-and-skin-masks" id="auxillary-parameters-and-skin-masks"></a>

{% hint style="info" %}
Please visit the [**Aux Images** API Overview](/haut.ai/developers/saas-api-overview/api-for-images/api-for-aux-images.md) for detailed description of API methods.
{% endhint %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
